<?php

function print_copyright($detailed=true,$zendversion="unknown-by-missing-arg") :void
{
    $base_copyright="This Application is copyright 2026 by Sebastian Peters (Birth: 10.07.1987)";
    if($detailed) {
        $filename = "/etc/hostname";
        $filecontent = file_get_contents($filename);
        $trimmed_hostname = trim($filecontent);
        echo $base_copyright." on " . $trimmed_hostname . " at Zend " . $zendversion . "\r\n";
    }
    else{
        echo $base_copyright . "\r\n";
    }
}
